## brian 2.8.0.4

=== debian/changelog ===
brian (2.8.0.4-1) unstable; urgency=medium

  * New upstream version 2.8.0.4
  * d/patches/*: refresh most patches.

 -- Étienne Mollier <emollier@debian.org>  Wed, 05 Feb 2025 10:31:13 +0100
