## brian 2.9.0

=== debian/changelog ===
brian (2.9.0-2) unstable; urgency=medium

  * Team upload.
  * d/rules: Skip 4 tests on riscv64 that take too long.
  * Added patch to improve the reproducibility of the build by sorting
    the list of exported members during documenation generation.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 12 Sep 2025 13:59:02 +0200

brian (2.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version. Support NumPy 2.3+ (Closes: #1114696)
  * Standards-Version: 4.7.2 (routine-update)
  * d/patches: refreshed; removed rm-setuptools-dep.patch, it is no
    longer needed.
  * Fixed links to external docs to instead point to the packaged -docs.
  * d/control: add missing pytest plugins.
  * d/rules: respect Debian Policy 4.9.1 and use DEB_BUILD_OPTION_PARALLEL to
    set the level of pytest parallelism via PYTEST_XDIST_AUTO_NUM_WORKERS.
  * Exclude far fewer tests

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 09 Sep 2025 15:32:14 +0200
