=== debian/control ===
--- 
+++ 
@@ -18,7 +18,14 @@
                python3-scipy,
                python3-sympy,
                python3-pytest <!nocheck>,
+               python3-pytest-xdist <!nocheck>,
+               python3-pytest-timeout <!nocheck>,
                python3-sphinx,
+               python3-sphinx-tabs <!nodoc>,
+               python3-doc <!nodoc>,
+               python-numpy-doc <!nodoc>,
+               python-scipy-doc <!nodoc>,
+               python-sympy-doc <!nodoc>,
                graphviz,
                texlive-latex-base,
                texlive-latex-extra,
@@ -26,7 +33,7 @@
                pandoc,
                libgsl-dev <!nocheck>,
                debhelper
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/brian
 Vcs-Git: https://salsa.debian.org/med-team/brian.git
 Homepage: https://www.briansimulator.org/
@@ -93,6 +100,10 @@
 Depends: ${misc:Depends},
          libjs-jquery,
          libjs-mathjax
+Recommends: python3-doc,
+            python-numpy-doc,
+            python-scipy-doc,
+            python-sympy-doc
 Suggests: python3-brian
 Multi-Arch: foreign
 Description: simulator for spiking neural networks - documentation
