=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,8 @@
 PYTHON=$(shell py3versions -d)
 PYTHON_VERSION=$(shell py3versions -d -v)
 
+export PYTEST_XDIST_AUTO_NUM_WORKERS=$(DEB_BUILD_OPTION_PARALLEL)
+
 # override HOME (setfor weave) and matplotlib config directory
 # to allow building in chroots with read-only HOME
 export HOME=$(CURDIR)/build
@@ -27,6 +29,12 @@
 export BRIAN_SETUP_FAIL_ON_ERROR=1
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
+ifeq ($(DEB_HOST_ARCH),riscv64)
+SKIP_TESTS=additional_args=["-k", "not (test_synapse_creation_generator_multiple_synapses or test_check_for_invalid_values_linear_integrator or test_rallpack2 or test_synapse_generator_deterministic)"]
+else
+SKIP_TESTS=
+endif
 
 %:
 	dh $@ --buildsystem=pybuild
@@ -61,23 +69,7 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	# Remove failing tests
 	# The following test files will be ignored completely.
-	# There are other single test in other testfiles which is patched out in ignore_failing_test.patch
-	# MAKE SURE YOU EXCLUDE test_devices IN ANY CASE (see above!)
-	for ti in	test_cpp_standalone \
-			test_devices \
-			test_functions \
-			test_monitor \
-			test_network \
-			test_neurongroup \
-			test_numpy_codegen \
-			test_poissongroup \
-			test_refractory \
-			test_spatialneuron \
-			test_spikegenerator \
-			test_stateupdaters \
-			test_synapses \
-			test_thresholder \
-			test_timedarray \
+	for ti in	test_network \
 		; do \
 	    find .pybuild -name $${ti}.py -delete ; \
 	    find debian/tmp -name $${ti}.py -delete ; \
@@ -89,7 +81,7 @@
 	; cd $(CURDIR)/build \
 	; echo "I: Running Brian unittests using $(PYTHON)" \
 	; export PYTHONPATH="$$( echo $(INSTALL_PATH)/usr/lib/$(PYTHON)/*-packages )" \
-	; $(PYTHON) -c 'import brian2;exit(not brian2.test())' \
+	; $(PYTHON) -c 'import brian2;exit(not brian2.test($(SKIP_TESTS)))' \
 	; rm -rvf "$${PYTHONPATH}/brian2/tests/.pytest_cache/"
 endif
